# स्थानिक डेटा एक्सेस के लिए जियो एंडपॉइंट्स

{% hint style="success" %}
GeoPard उपयोग करता है <https://www.ogc.org/> Open GeoSpatial Consortium के डेटा फॉर्मैट, जैसे तस्वीरों के लिए WMS और वेक्टर डेटा के लिए WFS। साथ ही, इंपोर्ट और एक्सपोर्ट के लिए हम shapefiles के साथ काम करते हैं। हमारा इंजन इन डेटा फॉर्मैट्स में इंपोर्ट और एक्सपोर्ट करने के लिए लचीला है। सैटेलाइट इमेजरी के लिए, हम काम करते हैं [COGs (Cloud Optimized Geotiffs)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
WMS/WFS requests चलाने के लिए आपको Postman इंस्टॉल करना होगा।
{% endhint %}

{% hint style="info" %}
हर request को HEADER "Authorization" (जहाँ token डालना है) या URL parameter "geopardApiKey " (जहाँ user API key डालनी है) के साथ sign करना होगा।
{% endhint %}

WMS API endpoints "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset" entities के "geoMaps" attributes के नीचे stored होते हैं। देखें [GeoPard DataScheme.](/geopard-tutorials/in/api/geopard-api-2.md)

WFS API endpoints "Field" और "VectorAnalysisMap" entities के "boundaryUrl", "zonesMapUrl", और "attributesUrl" में stored होते हैं।

{% hint style="info" %}
हम अधिक सटीक images पाने के लिए EPSG:3857 की बजाय EPSG:900913 projection इस्तेमाल करने की सलाह देते हैं।
{% endhint %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geo-endpoints-for-spatial-data-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
